org.apache.maven.scm.provider.svn.svnexe.command.checkout

## Class SvnCheckOutConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer
  - - org.apache.maven.scm.provider.svn.svnexe.command.checkout.SvnCheckOutConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class SvnCheckOutConsumer
      extends AbstractFileCheckingConsumer

  Version:
    $Id: SvnCheckOutConsumer.java 775336 2009-05-15 20:59:08Z olamy $
  Author:
    Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer

      `logger, revision, workingDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnCheckOutConsumer(ScmLogger logger, File workingDirectory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addFile(ScmFile file)`
    `List` | `getCheckedOutFiles()`
    `protected List` | `getFiles()`
    `protected void` | `parseLine(String line)`

    - ### Methods inherited from class org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer

      `consumeLine, getRevision, parseInt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnCheckOutConsumer

          public SvnCheckOutConsumer(ScmLogger logger,
                             File workingDirectory)

  - ### Method Detail

    - #### parseLine

          protected void parseLine(String line)

      Specified by:
        `parseLine` in class `AbstractFileCheckingConsumer`

    - #### getCheckedOutFiles

          public List getCheckedOutFiles()

    - #### addFile

          protected void addFile(ScmFile file)

      Overrides:
        `addFile` in class `AbstractFileCheckingConsumer`

    - #### getFiles

          protected List getFiles()

      Overrides:
        `getFiles` in class `AbstractFileCheckingConsumer`

Copyright © 2003–2015. All rights reserved.